org.apache.ivy.util.url

## Class URLHandlerRegistry

- java.lang.Object
- - org.apache.ivy.util.url.URLHandlerRegistry

    public final class URLHandlerRegistry
    extends java.lang.Object

### Method Summary

Methods
`static URLHandler` `getDefault()`
`static URLHandler` `getHttp()` This method is used to get appropriate http downloader dependening on Jakarta Commons HttpClient availability in classpath, or simply use jdk url handling in other cases.
`static void` `setDefault(URLHandler def)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getDefault

    public static URLHandler getDefault()

#### setDefault

    public static void setDefault(URLHandler def)

#### getHttp

    public static URLHandler getHttp()

This method is used to get appropriate http downloader dependening on Jakarta Commons HttpClient availability in classpath, or simply use jdk url handling in other cases.

Returns:
  most accurate http downloader